UploadFileToVm
UploadFileToVm
POST
/zstack/v1/upload-fileOperation ID
UploadFileToVmSince
5.2.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
vmInstanceUuidsListRequiredThe VM instances that the files are uploaded to.
fileContentStringRequiredThe file content which is encoded using Base64.
remotePathStringRequiredThe absolute path that the files are uploaded to. The path contains the file name.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
